# xoxys.lvm
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.lvm/status.svg)](https://drone.rknet.org/ansible/xoxys.lvm)


Configure a list of LVM volumes

## Table of content

* [Default Variables](#default-variables)
  * [lvm_packages](#lvm_packages)
  * [lvm_volumes](#lvm_volumes)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### lvm_packages

#### Default value

```YAML
lvm_packages:
  - lvm2
```

### lvm_volumes

#### Default value

```YAML
lvm_volumes: []
```

#### Example usage

```YAML
lvm_volumes:
  - name: lv_data
    group: vg_data
    disks:
      - /dev/sda
    fstype: ext4
    size: 100g
    resizefs: True
    mountpoint: /mnt/data
    mountopts:
      - ro
      - noauto
    state: present
```

## Dependencies

None.

## License

MIT

## Author

xoxys <mail@geeklabor.de>
